# Interface methods for submodule: SparseFieldFourthOrderLevelSetImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import SparseFieldLevelSetImageFilterProxy as _SparseFieldLevelSetImageFilterProxy


# Interface methods for class: SparseFieldFourthOrderLevelSetImageFilter
class SparseFieldFourthOrderLevelSetImageFilterProxy(_SparseFieldLevelSetImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	def GetMaxRefitIteration(self) -> int:
		""""""
		...

	def SetMaxRefitIteration(self, _arg: int) -> None:
		""""""
		...

	def GetMaxNormalIteration(self) -> int:
		""""""
		...

	def SetMaxNormalIteration(self, _arg: int) -> None:
		""""""
		...

	def GetCurvatureBandWidth(self) -> float:
		""""""
		...

	def SetCurvatureBandWidth(self, _arg: float) -> None:
		""""""
		...

	def GetRMSChangeNormalProcessTrigger(self) -> float:
		""""""
		...

	def SetRMSChangeNormalProcessTrigger(self, _arg: float) -> None:
		""""""
		...

	def GetNormalProcessType(self) -> int:
		""""""
		...

	def SetNormalProcessType(self, _arg: int) -> None:
		""""""
		...

	def GetNormalProcessConductance(self) -> float:
		""""""
		...

	def SetNormalProcessConductance(self, _arg: float) -> None:
		""""""
		...

	def SetNormalProcessUnsharpFlag(self, _arg: bool) -> None:
		""""""
		...

	def GetNormalProcessUnsharpFlag(self) -> bool:
		""""""
		...

	def NormalProcessUnsharpFlagOn(self) -> None:
		""""""
		...

	def NormalProcessUnsharpFlagOff(self) -> None:
		""""""
		...

	def SetNormalProcessUnsharpWeight(self, _arg: float) -> None:
		""""""
		...

	def GetNormalProcessUnsharpWeight(self) -> float:
		""""""
		...

	def SetLevelSetFunction(self, lsf) -> None:
		""""""
		...

	def GetMinimumNumberOfLayers(self) -> int:
		""""""
		...

	def SetNumberOfLayers(self, n: int) -> None:
		""""""
		...

	def InitializeIteration(self) -> None:
		""""""
		...

